export default class DataSetCleaning {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/list', 'post', params, axiosOption, httpOption);
  }
    
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/view', 'get', params, axiosOption, httpOption);
  }

  static startClean (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/startClean', 'post', params, axiosOption, httpOption);
  }
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/add', 'post', params, axiosOption, httpOption);
  }
  static stopClean (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/stopClean', 'get', params, axiosOption, httpOption);
  }
  static restartClean (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/restartClean', 'get', params, axiosOption, httpOption);
  }
  static addAll (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/addAll', 'post', params, axiosOption, httpOption);
  }
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/update', 'post', params, axiosOption, httpOption);
  }
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetClean/delete', 'post', params, axiosOption, httpOption);
  }

  static getCleanList (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetCleanConfig/getCleanList', 'post', params, axiosOption, httpOption);
  }
  static getDesensitiveList (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetCleanConfig/getDesensitiveList', 'post', params, axiosOption, httpOption);
  }
  static getDeduplicateList (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetCleanConfig/getDeduplicateList', 'post', params, axiosOption, httpOption);
  }
  static getFilterList (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetCleanConfig/getFilterList', 'post', params, axiosOption, httpOption);
  }
  static configList (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetCleanConfig/list', 'post', params, axiosOption, httpOption);
  }
}
